Support » Plugin: WooCommerce Blocks » Plugin Update to 6.0.0 killed my site

  • Resolved robinchichi

    (@robinchichi)


    I have rolled back the Plug-in and deleted it (and will nto use it again), but thought you might want to know.
    Here’s the log:

    Fatal error: Uncaught Exception: Cannot construct an instance of Automattic\WooCommerce\Blocks\StoreApi\SchemaController because it has not been registered. in /home/customer/www/[my-website]/public_html/wp-content/plugins/woo-gutenberg-products-block/src/Registry/Container.php:89 Stack trace: #0 /home/customer/www/[my-website]/public_html/wp-content/plugins/woocommerce-subscriptions/includes/class-wc-subscriptions-extend-store-endpoint.php(47): Automattic\WooCommerce\Blocks\Registry\Container->get('Automattic\\WooC...') #1 /home/customer/www/[my-website]/public_html/wp-includes/class-wp-hook.php(303): WC_Subscriptions_Extend_Store_Endpoint::init('') #2 /home/customer/www/[my-website]/public_html/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array) #3 /home/customer/www/[my-website]/public_html/wp-includes/plugin.php(470): WP_Hook->do_action(Array) #4 /home/customer/www/[my-website]/public_html/wp-content/plugins/woo-gutenberg-products-block/src/Doma in /home/customer/www/[my-website]/public_html/wp-content/plugins/woo-gutenberg-products-block/src/Registry/Container.php on line 89
    There has been a critical error on this website. Please check your site admin email inbox for instructions.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Nadir Seghir

    (@assassinateur)

    Hey there @robinchichi

    I’m unable to reproduce your issue. From the log you shared, it seems to be coming from WooCommerce Subscriptions.

    What version of WooCommerce Subscriptions are you running? can you try enabling and disabling WooCommerce Blocks again? The latest version is 6.0.1 which resolved an unrelated bug to this, but can you try updating to it as well?

    Seeing from the log, your errors seems to be an extreme edge case but we will try our best to reproduce it and fix it.

    Plugin Author Nadir Seghir

    (@assassinateur)

    @robinchichi we released 6.0.2 which should fix this.

    Alternatively, you can update WooCommerce Core to 5.7 or update WooCommerce Blocks to 6.0.2.

    Thread Starter robinchichi

    (@robinchichi)

    Thanks for the update, I’ve updated WooCommerce to 5.7, however I was not using WooCommerce Blocks before I deleted it, so I won’t reinstall to check it now works.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.